package de.intevation.flys.client.client.services;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

import de.intevation.flys.client.shared.exceptions.ServerException;
import de.intevation.flys.client.shared.model.Collection;


/**
 * This service describes an operation the fetches the DESCRIBE document of a
 * specific collection and returns a Collection.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
@RemoteServiceRelativePath("describe-collection")
public interface DescribeCollectionService extends RemoteService {

    /**
     * Adds an artifact to a collection.
     *
     * @param uuid The uuid of the desired collection.
     * @param url  The url of the artifact server.
     * @param locale The name of the locale used for the request.
     *
     * @return the Collection after the operation.
     */
    Collection describe(String uuid, String url, String locale)
    throws ServerException;
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
